GWT 2.7.0

## com.google.gwt.core.ext
Class BadPropertyValueException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.google.gwt.core.ext.BadPropertyValueException

All Implemented Interfaces:
  java.io.Serializable

    public class BadPropertyValueException

extends java.lang.Exception

Thrown when a deferred binding property contains an invalid value.

See Also:
  Serialized Form

Constructor Summary
`BadPropertyValueException(java.lang.String propName)`
`BadPropertyValueException(java.lang.String propName, java.lang.String badValue)`

Method Summary
`(package private) java.lang.String` | `getBadValue()`
`(package private) java.lang.String` | `getPropName()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BadPropertyValueException

    public BadPropertyValueException(java.lang.String propName)

### BadPropertyValueException

    public BadPropertyValueException(java.lang.String propName,
                                     java.lang.String badValue)

Method Detail

### getBadValue

    java.lang.String getBadValue()

### getPropName

    java.lang.String getPropName()

GWT 2.7.0